### Type parameters

- #### D

### Hierarchy

- FetchListParameters
  - FetchByOffsetParameters

## Index

### Properties

- attributes
- clientId
- filterCriterion
- includeFilteredRowCount
- signal
- size
- sortCriteria

## Properties

### Optional attributes

attributes?: (string | FetchAttribute)[]

### Optional clientId

clientId?: symbol

### Optional filterCriterion

filterCriterion?: Filter<D>

### Optional includeFilteredRowCount

includeFilteredRowCount?: "disabled" | "enabled"

### Optional signal

signal?: AbortSignal

### Optional size

size?: number

### Optional sortCriteria

sortCriteria?: SortCriterion<D>[]

Generated using TypeDoc